TR(1)

NOMBRE
tr - traduce o elimina caracteres

SINOPSIS
tr [OPCIÓN]... CONJUNTO1 [CONJUNTO2]

DESCRIPCIÓN

traduce, expurga y/o elimina caracteres desde la entrada estándar y lo envía a la salida estándar.

-c, -C, --complement
    emplea el complemento de CONJUNTO1

-d, --delete
    borra caracteres en CONJUNTO1, no lo traduce

-s, --squeeze-repeats
    sustituye cada secuencia de caracteres repetidos que figure en el último CONJUNTO con un único caracter eliminando la duplicación.

-t, --truncate-set1
    comienza cortando CONJUNTO1 para que tenga la misma longitud que CONJUNTO2.

--help
    muestra la ayuda y finaliza

--version
    muestra la versión del programa y termina

Los CONJUNTOS se definen como cadenas de caracteres. Muchos son representaciones de si mismos. Las secuencias que se interpretan son las siguientes:

\NNN
    caracter con valor octal NNN (1 a 3 dígitos octales)

\\  barra invertida

\a  timbre del sistema

\b  espacio-atrás

\f  nueva página

\n  nueva linea

\r  retorno

\t  tabulación horizontal

\v  tabulación vertical

CARÁCTER1-CARÁCTER2
    todos los caracteres desde CARÁCTER1 hasta CARÁCTER2 en orden ascendente

[CHAR*]
    en el CONJUNTO2, copia todas las veces que sea neceario CHAR hasta alcanzar el tamaño de CONJUNTO1

[CHAR*REPEAT]
    REPITE copias de CHAR, repetirá octal si empieza por 0

[:alnum:]
    todas las letras y los dígitos

[:alpha:]
    todas las letras

[:blank:]
    todos los espacios en blanco horizontales

[:cntrl:]
    todos los caracteres de control

[:digit:]
    todos los dígitos

[:graph:]
    todos los caracteres imprimibles excluyendo los espacios

[:lower:]
    todas las letras minúsculas

[:print:]
    todos los caracteres imprimibles incluyendo los espacios

[:punct:]
    todos los caracteres de puntuación

[:space:]
    todos los espacios horizontales o verticales

[:upper:]
    todas las letras mayúsculas

[:xdigit:]
    todos los dígitos hexadecimales

[=CHAR=]
    todos los caracteres equivalentes a CHAR

La traducción tendrá lugar si no se indica la opción -d y existen tanto CONJUNTO1 como CONJUNTO2. -t puede usarse solo para traducciones. CONJUNTO2 se alarga hasta el tamaño de CONJUNTO1 repitiendo el último carácter las veces que sean necesarias. Los caracteres sobrantes de CONJUNTO2 se ignorarán. Solo [:lower:] y [:upper:] se expandirán de forma segura en orden ascendente; si se aplican sobre SET2 en una traducción solo podrían usarse emparejados para definir la conversión a mayúsculas/minúsculas. -s emplea el último CONJUNTO definido y se aplica después de la traducción o del borrado.

AUTOR
Escrito por Jim Meyering.

INFORMAR DE ERRORES
Ayuda en línea de GNU Coreutils: <https://www.gnu.org/software/coreutils/>
Informe cualquier error de traducción a <https://translationproject.org/team/es.html>

COPYRIGHT
Copyright © 2020 Free Software Foundation, Inc. Licencia GPLv3+: GNU GPL versión 3 o posterior <https://gnu.org/licenses/gpl.html>.
Esto es software libre: usted es libre de cambiarlo y redistribuirlo. NO HAY GARANTÍA, en la medida permitida por la legislación.

VÉASE TAMBIÉN
Documentación completa <https://www.gnu.org/software/coreutils/tr>
también disponible localmente ejecutando: info '(coreutils) tr invocation'

TRADUCCIÓN
La traducción al español de esta página del manual fue creada por Marcos Fouces <marcos@debian.org>

Esta traducción es documentación libre; lea la GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) o posterior con respecto a las condiciones de copyright. No existe NINGUNA RESPONSABILIDAD.

Si encuentra algún error en la traducción de esta página del manual, envíe un correo electrónico a debian-l10n-spanish@lists.debian.org.